package com.siemag.testng;

import static org.testng.AssertJUnit.*;

import org.jboss.arquillian.container.test.api.Deployment;
import org.jboss.shrinkwrap.api.spec.JavaArchive;
import org.testng.annotations.AfterClass;
import org.testng.annotations.BeforeClass;
import org.testng.annotations.Test;

import com.siemag.test.utils.AbstractTestMaster;
import com.siemag.test.utils.AbstractTestMasterLocal;
import com.siemag.test.utils.ArquillianTestUtil;
import com.siemag.utils.Groups;


@Test(groups=Groups.GR1)
public class AssertTestARQWithParent extends AbstractTestMasterLocal{
 

  @Deployment
  public static JavaArchive createArchiveTest(){
    JavaArchive ear = ArquillianTestUtil.getSimpleTestArchive(
        AssertTestARQWithParent.class,AbstractTestMasterLocal.class,AbstractTestMaster.class);
    System.err.println("DEPLOYMENT COMPLETE");
    return ear;

  }
  

  @BeforeClass
  public void start(){
    if (isRunningInContainer()) {
//      fail("FAKE FAIL");
    }
  }

  @AfterClass
  public void stop(){
    if (isRunningInContainer()) {
//      fail("FAKE FAIL");
    }
  }



  
  @Test
  public void a() {
    System.out.println("ExceptionInBeforeTestWMS.a()");
    assertTrue(true);
  }
  @Test(dependsOnMethods="c")
  public void b() {
    System.out.println("ExceptionInBeforeTestWMS.b()");
    assertTrue(false);
  }
  @Test
  public void c() {
    System.out.println("ExceptionInBeforeTestWMS.c()");
    assertTrue(false);
  }
 


}
