package com.siemag.testng;


import static org.testng.Assert.*;

import org.apache.log4j.Logger;
import org.testng.annotations.AfterClass;
import org.testng.annotations.BeforeClass;
import org.testng.annotations.Test;

import com.siemag.utils.Groups;


@Test(groups=Groups.Exclude)
public class AssertTestStandaloneWithOutParent{
 
  private Logger                                    log = Logger.getLogger(getClass());
  
  protected final void startWMS(){
    try {
      fail("FAKE FAIL startWMS");
      log.error("---------------------- END  --------------------------------");
    } catch (Exception e) {
      log.error("", e);
      fail("WMS can not be start");
    }

  }

  protected final void stopWMS(){
    try {
      fail("FAKE FAIL stopWMS");
    } catch (Exception e) {
      log.error("", e);
      fail("WMS can not be start");
    }
  }
  
  @BeforeClass
  public void start() {
      startWMS();
  }
  
  @AfterClass
  public void stop() {
    startWMS();
  }
  
  @Test(dependsOnMethods="c")
  public void a() {
    assertTrue(true);
  }
  @Test(dependsOnMethods="c")
  public void b() {
    assertTrue(false);
  }
  @Test
  public void c() {
    assertTrue(true);
  }
 


}
