package com.siemag.test.utils;

import javax.naming.InitialContext;

import org.apache.log4j.BasicConfigurator;
import org.jboss.arquillian.testng.Arquillian;

public abstract class AbstractTestMaster extends Arquillian{

 static{
   BasicConfigurator.configure();
 }
//  @Inject 
//  Logger injectedLogger;
  

  

  /**
   * 
   * @return
   */
  //TODO vuru 28.07.2012: The @Before* and @After* methods called twice by arquillian. 
  // The result is Nullpointer for injected fields. See Arquillian thread  ARQ-351
  // This should be fixed in 1.1.0.CR1
  public final boolean isRunningInContainer(){
    return isServer() ;
  }

  public synchronized boolean isServer(){
      Object service = null;
      try {
        /* ****************************************************************************   */
        /* The service java:/ConnectionFactory is standardized in the JEE6 specification  */
        /* and is deployed before any application.                                        */
        /* So we get a reference for this lookup then we are running in server            */
        /* ****************************************************************************   */

        InitialContext ictx = new InitialContext();
        service = ictx.lookup("java:/ConnectionFactory");
      } catch (Exception e) {
        return false;
        // IGNORE
      }
    
    return service != null;
  }

}
